Appearance
Get subaccount
GET
/v1/account/subaccount/{accountPublicId}
Returns the subaccount and its KYC info, if available, for the provided id path variable.
Subaccount Info
| Field | Description |
|---|---|
| id | The id of the subaccount. |
| label | The name given to the subaccount. |
KYC Info
The sensitive subaccount KYC data is encrypted at rest.
| Field | Description |
|---|---|
| firstName | The first name of the subaccount holder. |
| lastName | The last name of the subaccount holder. |
| dateOfBirth | The date of birth of the subaccount holder. |
| residentialCountry | The residential country of the subaccount holder, which refers to the country where the account holder currently resides. |
| identityIssuingCountry | The identity issuing country of the subaccount holder, which refers to the country as verified by an official ID document (such as an ID card, driver's license, or passport). |
| identityType | The identity type refers to the type of ID document used to verify the subaccount holder's identity. |
| identityNumber | The identity number of the subaccount holder. |
| identityExpiryDate | The date on which the ID of the subaccount holder expires. |
| cellNumber | The cell phone number of the subaccount holder. |
| The email address of the subaccount holder. | |
| purpose | The purpose of the subaccount. |
| employmentStatus | The employment status of the subaccount holder. |
| sourceOfFunds | The source of funds for the subaccount. |
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
accountPublicId*
The id of the subaccount
Type
Requiredstring
Responses
Subaccount retrieved successfully
application/json
JSON
{
"id": "903671169785507840",
"label": "SubAccountWithKyc",
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-06-15",
"residentialCountry": "ZA",
"identityIssuingCountry": "ZA",
"identityType": "PASSPORT",
"identityNumber": "A123456789",
"identityExpiryDate": "2030-12-31",
"cellNumber": "+12345678901234",
"email": "johndoe@example.com",
"purpose": "TRADING",
"employmentStatus": "EMPLOYED_FULL_TIME",
"sourceOfFunds": "ALLOWANCE"
}